<?php



class TblusermessageMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblusermessageMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblusermessagePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblusermessagePeer::TABLE_NAME);
		$tMap->setPhpName('Tblusermessage');
		$tMap->setClassname('Tblusermessage');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('MS_ID', 'MsId', 'INTEGER', true, null);

		$tMap->addColumn('MS_SUBJECT', 'MsSubject', 'VARCHAR', false, 255);

		$tMap->addColumn('MS_CONTENT', 'MsContent', 'LONGVARCHAR', false, null);

		$tMap->addColumn('MS_FROM', 'MsFrom', 'INTEGER', false, null);

		$tMap->addColumn('MS_TO', 'MsTo', 'INTEGER', false, null);

		$tMap->addColumn('MS_TIME', 'MsTime', 'TIMESTAMP', false, null);

		$tMap->addColumn('MS_PREV', 'MsPrev', 'INTEGER', false, null);

		$tMap->addColumn('MS_NEXT', 'MsNext', 'INTEGER', false, null);

		$tMap->addColumn('MS_STATUS', 'MsStatus', 'TINYINT', false, null);

		$tMap->addColumn('MS_DELETED', 'MsDeleted', 'TINYINT', false, null);

	} 
} 